Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface CommunityManagerControl

    @ControlInterface
    public interface CommunityManagerControl

Method Summary
`void` | `activateCommunity(Date date, CommunityDefinitionId communityId, ResourceContext context)` Sets a community active until a specified expiration date.
`CommunityDefinition` | `createCommunity(CommunityInfo info, ResourceContext context)` Creates a new community.
`CommunityDefinition` | `createCommunityFromTemplate(String communityTitle, String communityDescription, PortalPath portalPath, DesktopPath desktopPath, CommunityDefinitionId templateId, ResourceContext context)` Creates a new community from a template.
`CommunityDefinition` | `createCommunityFromTemplateAndUpdateInfo(CommunityInfo info, String communityTitle, String communityDescription, PortalPath portalPath, DesktopPath desktopPath, CommunityDefinitionId templateId, ResourceContext context)`
`CommunityDefinition` | `createCommunityTemplate(CommunityInfo info, ResourceContext context)`
`void` | `deactivateCommunity(CommunityDefinitionId communityId, ResourceContext context)` Deactivates a community.
`void` | `deleteCommunity(boolean cascade, CommunityDefinitionId communityId, ResourceContext context)` Deletes a community definition.
`SortableFilterablePagedResult<CommunityDefinition>` | `getCommunities(int pageSize, CommunitySearchCriteria criteria, ResourceContext context)` Does a paginated communities get.
`CommunityDefinition` | `getCommunity(boolean localize, CommunityDefinitionId communityId, ResourceContext context)` Gets a single CommunityDefintion.
`CommunityDefinition` | `getCommunity(String webApp, PortalPath portalPath, DesktopPath desktopPath, boolean localize, ResourceContext context)`
`void` | `setPersonalPagesEnabled(boolean enabled, CommunityDefinitionId communityId, ResourceContext context)` Enabled Personal Pages.
`void` | `updateCommunity(CommunityInfo info, CommunityDefinitionId communityId, boolean invokeCallbackClass, ResourceContext context)` Updates a Community
`void` | `updateCommunity(CommunityInfo info, CommunityDefinitionId communityId, ResourceContext context)` Deprecated this method does not properly call a community callback object if one is associated with a community. Use `updateCommunity(com.bea.netuix.application.communities.CommunityInfo, com.bea.netuix.application.identifier.CommunityDefinitionId, boolean, com.bea.portal.tools.common.ResourceContext)` instead.

Method Detail

### activateCommunity

    void activateCommunity(Date date,
                           CommunityDefinitionId communityId,
                           ResourceContext context)
                           throws ToolsException,
                                  NotEntitledException,
                                  ObjectNotFoundException,
                                  IllegalOperationException,
                                  CommunityCallbackException

  Sets a community active until a specified expiration date.

  Parameters
    `date` - The expiration date
    `communityId` - the community definition ID of the community to activate.
    `context` - a resource context
  Throws
    `ObjectNotFoundException` - If community to be activated does not exist
    `NotEntitledException` - Thrown if the user in the current thread is not entitled to perform this action.
    `IllegalOperationException` - If this community is a template or if expirationDate is in the past
    `ToolsException`
    `CommunityCallbackException`

### setPersonalPagesEnabled

    void setPersonalPagesEnabled(boolean enabled,
                                 CommunityDefinitionId communityId,
                                 ResourceContext context)
                                 throws ToolsException,
                                        NotEntitledException,
                                        ObjectNotFoundException

  Enabled Personal Pages.

  Parameters
    `enabled` - True if personal pages should be enabled.
    `communityId` - the community definition ID of the community
    `context` - a resource context
  Throws
    `NotEntitledException` - Thrown if the user in the current thread is not entitled to perform this action.
    `ObjectNotFoundException` - If community to be deleted does not exist
    `ToolsException`

### deactivateCommunity

    void deactivateCommunity(CommunityDefinitionId communityId,
                             ResourceContext context)
                             throws ToolsException,
                                    NotEntitledException,
                                    ObjectNotFoundException,
                                    CommunityCallbackException

  Deactivates a community.

  Parameters
    `communityId` - the community definition ID of the community
    `context` - a resource context
  Throws
    `ObjectNotFoundException` - If community to be deleted does not exist
    `NotEntitledException` - If current user does not have permission to delete this community
    `ToolsException`
    `CommunityCallbackException`

### createCommunity

    CommunityDefinition createCommunity(CommunityInfo info,
                                        ResourceContext context)
                                        throws ToolsException,
                                               DuplicateObjectException,
                                               NotEntitledException,
                                               MissingDataException,
                                               ObjectNotFoundException,
                                               CommunityCallbackException

  Creates a new community.

  Parameters
    `info` - The CommunityInfo object.
    `context` - a resource context
  Returns
    The CommunityDefinition definition object just created.
  Throws
    `DuplicateObjectException`
    `NotEntitledException` - Thrown if the user in the current thread is not entitled to perform this action.
    `MissingDataException` - Thrown if a resource required by this action does not exist.
    `ObjectNotFoundException` - Thrown if a resource required by this action is not valid.
    `ToolsException`
    `CommunityCallbackException`

### deleteCommunity

    void deleteCommunity(boolean cascade,
                         CommunityDefinitionId communityId,
                         ResourceContext context)
                         throws ToolsException,
                                NotEntitledException,
                                ObjectNotFoundException,
                                IllegalOperationException,
                                ObjectInUseException,
                                CommunityCallbackException

  Deletes a community definition. This method attempts to clean up all related security policies on the deleted Community. To achieve this, the current web app MUST be set in the `ResourceContext` via the setWebApp() method, otherwise a `NoWebAppFoundException` is thrown.

  Parameters
    `cascade` - True if the delete is a cascading delete.
    `communityId` - the community definition ID
    `context` - a resource context
  Throws
    `NotEntitledException` - Thrown if the user in the current thread is not entitled to perform this action.
    `ObjectNotFoundException` - Thrown if a resource required by this action is not valid.
    `IllegalOperationException` - If this community is a template
    `ObjectInUseException` - If community to be deleted is being used by other (user customized) communities
    `ToolsException`
    `CommunityCallbackException`

### getCommunities

    SortableFilterablePagedResult<CommunityDefinition> getCommunities(int pageSize,
                                                                      CommunitySearchCriteria criteria,
                                                                      ResourceContext context)
                                                                      throws ToolsException

  Does a paginated communities get.

  Parameters
    `pageSize` - The size of a page of data.
    `criteria` - the search criteria to use.
    `context` - a resource context.
  Returns
    A paged result of community definitions matching the specified search criteria.
  Throws
    `ToolsException`

### getCommunity

    CommunityDefinition getCommunity(boolean localize,
                                     CommunityDefinitionId communityId,
                                     ResourceContext context)
                                     throws ToolsException

  Gets a single CommunityDefintion.

  Parameters
    `localize` - If false the localization object is not retrieved in the definition.
    `communityId` - the community definition ID of the community to retrieve.
    `context` - a resource context
  Returns
    A specified community definition.
  Throws
    `ToolsException`

### createCommunityFromTemplate

    CommunityDefinition createCommunityFromTemplate(String communityTitle,
                                                    String communityDescription,
                                                    PortalPath portalPath,
                                                    DesktopPath desktopPath,
                                                    CommunityDefinitionId templateId,
                                                    ResourceContext context)
                                                    throws ToolsException,
                                                           DuplicateObjectException,
                                                           NotEntitledException,
                                                           MissingDataException,
                                                           ObjectNotFoundException,
                                                           CommunityCallbackException

  Creates a new community from a template.

  Parameters
    `communityTitle` - The title for the community.
    `communityDescription` - The description for the community.
    `portalPath` - The portal path the template is located in.
    `desktopPath` - The desktop path associated with this community.
    `templateId` - the CommunityDefinitionId of the template to create a community from.
    `context` - a resource context
  Throws
    `DuplicateObjectException` - Thrown when a unique key constraint is violated.
    `NotEntitledException` - Thrown if the user in the current thread is not entitled to perform this action.
    `MissingDataException` - Thrown if a resource required by this action does not exist.
    `ObjectNotFoundException` - Thrown if a resource required by this action is not valid.
    `ToolsException`
    `CommunityCallbackException`

### createCommunityTemplate

    CommunityDefinition createCommunityTemplate(CommunityInfo info,
                                                ResourceContext context)
                                                throws ToolsException,
                                                       DuplicateObjectException,
                                                       NotEntitledException,
                                                       MissingDataException,
                                                       ObjectNotFoundException,
                                                       CommunityCallbackException

  Parameters
    `info` - specifies information about the template to create
    `context` - a resource context
  Returns
    the created CommunityDefinition
  Throws
    `DuplicateObjectException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`
    `CommunityCallbackException`
    `ToolsException`

### getCommunity

    CommunityDefinition getCommunity(String webApp,
                                     PortalPath portalPath,
                                     DesktopPath desktopPath,
                                     boolean localize,
                                     ResourceContext context)
                                     throws ToolsException

  Parameters
    `webApp` - the webApp of the community to retrieve
    `portalPath` - the portal path for the community to retrieve
    `desktopPath` - the desktop path for the community to retrieve
    `localize` - if false, the community definition is not localized when returned
    `context` - a resource context
  Returns
    the requested community definition object.
  Throws
    `ToolsException`

### updateCommunity

    void updateCommunity(CommunityInfo info,
                         CommunityDefinitionId communityId,
                         ResourceContext context)
                         throws ToolsException,
                                ObjectNotFoundException,
                                NotEntitledException,
                                IllegalOperationException,
                                ObjectInUseException

  Deprecated this method does not properly call a community callback object if one is associated with a community. Use `updateCommunity(com.bea.netuix.application.communities.CommunityInfo, com.bea.netuix.application.identifier.CommunityDefinitionId, boolean, com.bea.portal.tools.common.ResourceContext)` instead.

  Updates a Community

  Parameters
    `info` - the new information to update the community definition with
    `communityId` - the ID of the community to update.
    `context` - a resource context
  Throws
    `ObjectNotFoundException`
    `NotEntitledException`
    `IllegalOperationException`
    `ObjectInUseException`
    `ToolsException`

### updateCommunity

    void updateCommunity(CommunityInfo info,
                         CommunityDefinitionId communityId,
                         boolean invokeCallbackClass,
                         ResourceContext context)
                         throws ToolsException,
                                ObjectNotFoundException,
                                NotEntitledException,
                                IllegalOperationException,
                                CommunityCallbackException,
                                ObjectInUseException

  Updates a Community

  Parameters
    `info` - the new information to update the community definition with
    `communityId` - the ID of the community to update.
    `invokeCallbackClass` - if `true` and the community is activated or deactivated by this call, invokes the appropriate methods on the CommunityCallback object associated with the community, if one exists. If `false`, no callback call is made.
    `context` - a resource context
  Throws
    `ObjectNotFoundException`
    `NotEntitledException`
    `IllegalOperationException`
    `ObjectInUseException`
    `ToolsException`
    `CommunityCallbackException`

### createCommunityFromTemplateAndUpdateInfo

    @TransactionAttribute(value=REQUIRED)
    CommunityDefinition createCommunityFromTemplateAndUpdateInfo(CommunityInfo info,
                                                                                      String communityTitle,
                                                                                      String communityDescription,
                                                                                      PortalPath portalPath,
                                                                                      DesktopPath desktopPath,
                                                                                      CommunityDefinitionId templateId,
                                                                                      ResourceContext context)
                                                                 throws CommunityCallbackException,
                                                                        DuplicateObjectException,
                                                                        NotEntitledException,
                                                                        MissingDataException,
                                                                        ObjectNotFoundException,
                                                                        ToolsException,
                                                                        ObjectInUseException,
                                                                        IllegalOperationException

  Throws
    `CommunityCallbackException`
    `DuplicateObjectException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`
    `ToolsException`
    `ObjectInUseException`
    `IllegalOperationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved